<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.form.apply.mapper.CoreOfficialSealMapper">

    <!-- 查询学校公章列表数据 -->
    <select id="listOfficialSealPage"
            resultType="com.yida.data.customForm.vo.apply.OfficialSealSelectPageVO">
        select
            *
        from core_official_seal
        where del_flag = 0
        and dept_id = #{dto.deptId}
        <if test='dto.officialSealTitle != null and dto.officialSealTitle != ""'>
            and official_seal_title like concat ('%', #{dto.officialSealTitle}, '%')
        </if>
        <if test='dto.status !=null'>
            and status = #{dto.status}
        </if>
        order by
            create_date desc
    </select>

</mapper>
